<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: cpp.ast.TypeConverter Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classcpp_1_1ast_1_1TypeConverter.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">cpp.ast.TypeConverter Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for cpp.ast.TypeConverter:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classcpp_1_1ast_1_1TypeConverter__inherit__graph.svg" width="178" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for cpp.ast.TypeConverter:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classcpp_1_1ast_1_1TypeConverter__coll__graph.svg" width="178" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae6e75773d6722cdbb96d510a49cb633a"><td class="memItemLeft" align="right" valign="top"><a id="ae6e75773d6722cdbb96d510a49cb633a"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self, namespace_stack)</td></tr>
<tr class="separator:ae6e75773d6722cdbb96d510a49cb633a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6ea82e40cd30e5dfcd471ff144a19cf"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1ast_1_1TypeConverter.html#aa6ea82e40cd30e5dfcd471ff144a19cf">ToType</a> (self, tokens)</td></tr>
<tr class="separator:aa6ea82e40cd30e5dfcd471ff144a19cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c9d20d107c2bc0eb80afdf04957825f"><td class="memItemLeft" align="right" valign="top"><a id="a7c9d20d107c2bc0eb80afdf04957825f"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>DeclarationToParts</b> (self, parts, needs_name_removed)</td></tr>
<tr class="separator:a7c9d20d107c2bc0eb80afdf04957825f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeaf27fb1890f65d7216703df610b46d5"><td class="memItemLeft" align="right" valign="top"><a id="aeaf27fb1890f65d7216703df610b46d5"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>ToParameters</b> (self, tokens)</td></tr>
<tr class="separator:aeaf27fb1890f65d7216703df610b46d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e4d429131d9d5742ec44c78b61beb87"><td class="memItemLeft" align="right" valign="top"><a id="a7e4d429131d9d5742ec44c78b61beb87"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>CreateReturnType</b> (self, return_type_seq)</td></tr>
<tr class="separator:a7e4d429131d9d5742ec44c78b61beb87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b5244be5a0caedd769ae866f8a182aa"><td class="memItemLeft" align="right" valign="top"><a id="a7b5244be5a0caedd769ae866f8a182aa"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>GetTemplateIndices</b> (self, names)</td></tr>
<tr class="separator:a7b5244be5a0caedd769ae866f8a182aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:abb739f15c6cd0800e07c086c2b30833e"><td class="memItemLeft" align="right" valign="top"><a id="abb739f15c6cd0800e07c086c2b30833e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>namespace_stack</b></td></tr>
<tr class="separator:abb739f15c6cd0800e07c086c2b30833e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa6ea82e40cd30e5dfcd471ff144a19cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6ea82e40cd30e5dfcd471ff144a19cf">&#9670;&nbsp;</a></span>ToType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def cpp.ast.TypeConverter.ToType </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>tokens</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Convert [Token,...] to [Class(...), ] useful for base classes.
    For example, code like class Foo : public Bar&lt;x, y&gt; { ... };
    the "Bar&lt;x, y&gt;" portion gets converted to an AST.

    Returns:
      [Class(...), ...]</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>ast.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>cpp</b></li><li class="navelem"><b>ast</b></li><li class="navelem"><a class="el" href="classcpp_1_1ast_1_1TypeConverter.html">TypeConverter</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
